package com.chinaitop.depot.intelligent.weather.model;

import java.math.BigDecimal;
import java.util.Date;

public class TWeatherhsitory {
    private String id;

    private String orgId;

    private String sitecode;

    private String vqxzcode;

    private String vqxzname;

    private BigDecimal ftemp;

    private BigDecimal fhumi;

    private BigDecimal fwinds;

    private BigDecimal fwindd;

    private BigDecimal fpressure;

    private BigDecimal frain;

    private Date updateTime;

    private String remark;

    private String dataSource;

    /**
     * 
     * @return id 
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 气象站编码
     * @return vqxzcode 气象站编码
     */
    public String getVqxzcode() {
        return vqxzcode;
    }

    /**
     * 气象站编码
     * @param vqxzcode 气象站编码
     */
    public void setVqxzcode(String vqxzcode) {
        this.vqxzcode = vqxzcode == null ? null : vqxzcode.trim();
    }

    /**
     * 气象站名称
     * @return vqxzname 气象站名称
     */
    public String getVqxzname() {
        return vqxzname;
    }

    /**
     * 气象站名称
     * @param vqxzname 气象站名称
     */
    public void setVqxzname(String vqxzname) {
        this.vqxzname = vqxzname == null ? null : vqxzname.trim();
    }

    /**
     * 温度
     * @return ftemp 温度
     */
    public BigDecimal getFtemp() {
        return ftemp;
    }

    /**
     * 温度
     * @param ftemp 温度
     */
    public void setFtemp(BigDecimal ftemp) {
        this.ftemp = ftemp;
    }

    /**
     * 湿度
     * @return fhumi 湿度
     */
    public BigDecimal getFhumi() {
        return fhumi;
    }

    /**
     * 湿度
     * @param fhumi 湿度
     */
    public void setFhumi(BigDecimal fhumi) {
        this.fhumi = fhumi;
    }

    /**
     * 风速
     * @return fwinds 风速
     */
    public BigDecimal getFwinds() {
        return fwinds;
    }

    /**
     * 风速
     * @param fwinds 风速
     */
    public void setFwinds(BigDecimal fwinds) {
        this.fwinds = fwinds;
    }

    /**
     * 风向
     * @return fwindd 风向
     */
    public BigDecimal getFwindd() {
        return fwindd;
    }

    /**
     * 风向
     * @param fwindd 风向
     */
    public void setFwindd(BigDecimal fwindd) {
        this.fwindd = fwindd;
    }

    /**
     * 气压
     * @return fpressure 气压
     */
    public BigDecimal getFpressure() {
        return fpressure;
    }

    /**
     * 气压
     * @param fpressure 气压
     */
    public void setFpressure(BigDecimal fpressure) {
        this.fpressure = fpressure;
    }

    /**
     * 
     * @return frain 
     */
    public BigDecimal getFrain() {
        return frain;
    }

    /**
     * 
     * @param frain 
     */
    public void setFrain(BigDecimal frain) {
        this.frain = frain;
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 
     * @return data_source 
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 
     * @param dataSource 
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }
}